#ifndef MSPINNER_H
#define MSPINNER_H

// Qt
#include <QScopedPointer>
#include <QWidget>

class MSpinnerPrivate;

class MSpinner : public QWidget
{
    Q_OBJECT

public:
    explicit MSpinner(QWidget *parent = nullptr);
    ~MSpinner();

    virtual void setVisible(bool) override;
    virtual QSize sizeHint() const override;
    virtual QSize minimumSizeHint() const override;

// Properties =====================================================================================
public:
    Q_PROPERTY(bool colorize READ colorize WRITE setColorize NOTIFY colorizeChanged)

    bool colorize() const;

public slots:
    void setColorize(bool colorize);

signals:
    void colorizeChanged(bool colorize);


// Protected / Private ============================================================================
protected:
    virtual void paintEvent(QPaintEvent *event) override;
    virtual void resizeEvent(QResizeEvent *) override;

private:
    QScopedPointer<MSpinnerPrivate> d_ptr;
};

#endif
