#ifndef MANAGERWINDOW_H
#define MANAGERWINDOW_H

#include <QMainWindow>

class QMenu;

namespace Ui {
class ManagerWindow;
}

class ManagerWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit ManagerWindow(QWidget *parent = 0);
    ~ManagerWindow();

    static ManagerWindow *instance();

public slots:
    void on_actionConfigureStash_triggered();

private slots:
    void on_actionSettings_triggered();
    void on_actionShowInformation_triggered();
    void on_actionRefreshStashes_triggered();
    void on_actionAddStash_triggered();
    void on_actionRemoveStash_triggered();
    void on_actionChangePassword_triggered();
    void on_actionMenu_triggered();
    void on_actionHelp_triggered();
    void on_actionAbout_triggered();
    void on_actionAbout_Qt_triggered();
    void on_actionQuit_triggered();
    void on_actionClose_triggered();
    void on_actionDonate_triggered();

private:
    Ui::ManagerWindow *ui;
    QMenu *m_popupmenu;
    static ManagerWindow *m_instance;

    // QWidget interface
public slots:
    virtual void setVisible(bool visible) override;

    // QWidget interface
protected:
    virtual void closeEvent(QCloseEvent *event) override;
};

#endif // MANAGERWINDOW_H
