#ifndef MOUNTER_H
#define MOUNTER_H

// Qt
#include <QMap>
#include <QMutex>
#include <QObject>
#include <QSharedPointer>

class Stash;

class Mounter : public QObject
{
    Q_OBJECT
public:
    explicit Mounter(QObject *parent = 0);
    ~Mounter();

    static Mounter &instance();
    void mount(const QSharedPointer<Stash> &stash, const QString &message);
    void cancel(const QSharedPointer<Stash> &stash);

signals:

public slots:

private:
    static Mounter *m_instance;

    QMap<QSharedPointer<Stash>, QString> m_stashes;
    QMutex m_mutex;
};

#endif // MOUNTER_H
