#ifndef MOUNTSTASHPAGE_H
#define MOUNTSTASHPAGE_H

#include <QSharedPointer>
#include <QWizardPage>

class Stash;

namespace Ui {
class MountStashPage;
}

class MountStashPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit MountStashPage(const QSharedPointer<Stash> &stash, QWidget *parent = nullptr);
    ~MountStashPage();

public slots:
    virtual void setVisible(bool visible) override;
    void mountResult(bool success, const QString &message);

private slots:
    void on_lineEdit_password_returnPressed();
    void on_button_mount_clicked();
    void on_button_cancel_clicked();

    void on_label_help_linkActivated(const QString &link);

private:
    Ui::MountStashPage *ui;
    QSharedPointer<Stash> m_stash;
    bool m_initialized;
};

#endif // MOUNTSTASHPAGE_H
