#ifndef STASHCOMMANDPAGE_H
#define STASHCOMMANDPAGE_H

// Qt
#include <QSharedPointer>
#include <QWizardPage>

class Stash;

namespace Ui {
class StashCommandPage;
}

class StashCommandPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit StashCommandPage(const QSharedPointer<Stash> &stash, QWidget *parent = nullptr);
    ~StashCommandPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void on_label_help_linkActivated(const QString &link);

private:
    Ui::StashCommandPage *ui;
    QSharedPointer<Stash> m_stash;
    bool m_initialized;
    QSize m_size;
};

#endif // STASHCOMMANDPAGE_H
